- Qt 5.3
- Class and Function Documentation
- Qt 5.3.2 Reference Documentation

# Class and Function Documentation

Links to indexes and lists for finding class and function reference documentation.

### Class Lists

All Classes | If you know the name of the class you want, find it here.
All QML Types | A list of QML types in this Qt release.
Annotated Class List | If you don't know the name of the class you want, but you know what the class should do, you might try looking here.
Groups Of Related Classes | If you know what kind of class you want (GUI, painting, I.O, etc), look here.
Inheritance Hierarchy | The C++ class inheritance hierarchy for all classes in the Qt API.
Obsolete Classes | Classes and members marked obsolete that should not be used in new code.
Obsolete QML Types | A list of obsolete QML types that should not be used in new code.
All Namespaces | A Qt namespace contains enum types, functions, and sometimes classes.
All Classes by Module | A list of all C++ API components in Qt 5
All QML APIs by Module | A list of all QML API in Qt 5
All Modules | A list of all modules in Qt 5.

### Function Lists

Endian Conversion Functions | The header provides functions to convert between little and big endian representations of numbers.
Global Qt Declarations | The header file includes the fundamental global declarations. It is included by most other Qt header files.
Generic Math Functions | The header file provides various math functions.
Generic Algorithms | The header includes the generic, template-based algorithms.
All Functions | All documented Qt functions listed alphabetically with a link to where each one is declared.
Platform-Specific Functions | Exported functions for fine tuning Qt applications.